# open this when support qt5 in the futrue
%bcond_with appstream

Summary:        Parental controls implementation
Name:           malcontent
Version:        0.11.0
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/pwithnall/malcontent/
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gettext meson git gcc itstool desktop-file-utils libappstream-glib pam-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(dbus-1) pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(accountsservice) pkgconfig(gtk4) pkgconfig(libadwaita-1) pkgconfig(glib-testing-0)
%if %{with appstream}
BuildRequires:  pkgconfig(appstream) pkgconfig(flatpak)
%endif

Requires: polkit

%description
libmalcontent implements parental controls support which can be used by applications to filter or limit
the access of child accounts to inappropriate content.

%package pam
Summary:        Parental Controls PAM Module

%description pam
This package contains a PAM module which prevents logins for users who have exceeded their allowed computer time.

%package tools
Summary:        Parental Controls Tools
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains tools for querying and updating the parental controls settings for users.

%if %{with appstream}
%package control
Summary:        Parental Controls UI
Requires:       %{name} = %{version}-%{release}

%description control
This package contains a user interface for querying and setting parental controls for users.

%package ui-devel
Summary:        Development files for libmalcontent-ui
Requires:       %{name}-ui-libs = %{version}-%{release}

%description ui-devel
This package contains the pkg-config file and development headers for libmalcontent-ui.

%package ui-libs
Summary:        Libraries for %{name}

%description ui-libs
This package contains libmalcontent-ui.
%endif

%package devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description devel
This package contains the pkg-config file and development headers for %{name}.

%package libs
Summary:        Libraries for %{name}

%description libs
This package contains libmalcontent.

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%if %{with appstream}
%meson -Dui=enabled
%else
%meson -Dui=disabled
%endif

%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
%if %{with appstream}
desktop-file-validate %{buildroot}%{_datadir}/applications/org.freedesktop.MalcontentControl.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.freedesktop.MalcontentControl.appdata.xml
%endif

%files -f %{name}.lang
%license COPYING COPYING-DOCS
%doc README.md
%{_datadir}/accountsservice/interfaces/
%{_datadir}/dbus-1/interfaces/
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/polkit-1/rules.d/com.endlessm.ParentalControls.rules

%files pam
%license COPYING
%{_libdir}/security/pam_malcontent.so

%files tools
%license COPYING
%{_bindir}/malcontent-client
%{_mandir}/man8/malcontent-client.8.*

%if %{with appstream}
%files control
%license COPYING
%doc README.md
%{_bindir}/malcontent-control
%{_datadir}/applications/org.freedesktop.MalcontentControl.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.MalcontentControl.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.freedesktop.MalcontentControl-symbolic.svg
%{_datadir}/metainfo/org.freedesktop.MalcontentControl.appdata.xml

%files ui-devel
%license COPYING
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/MalcontentUi-1.gir
%{_libdir}/libmalcontent-ui-1.so
%{_includedir}/malcontent-ui-1/
%{_libdir}/pkgconfig/malcontent-ui-1.pc

%files ui-libs
%license COPYING
%doc README.md
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/MalcontentUi-1.typelib
%{_libdir}/libmalcontent-ui-1.so.*
%endif

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Malcontent-0.gir
%{_includedir}/malcontent-0/
%{_libdir}/libmalcontent-0.so
%{_libdir}/pkgconfig/malcontent-0.pc

%files libs
%license COPYING
%doc README.md
%dir %{_libdir}/girepository-1.0/
%{_libdir}/girepository-1.0/Malcontent-0.typelib
%{_libdir}/libmalcontent-0.so.*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 0.11.0-1
- initial build

